Main Support

Why is manual update sometimes required?

There may be several reasons why you have to manually update this extension.

Manual updates can be performed on the site, or for all your sites easily using the Watchful Remote Install feature.

1) It uses a non-standard update system.

Watchful supports Joomla core updater and other systems like NoNumber and Akeeba. We're working hard to support even more systems. Alas, it appears that many developers love to create their own custom update systems :-)

In most cases, we're still able to get info about the latest available version - and this is why you can see the update listed - but we cannot run - yet - the remote update.

2) It is a very old version

Some extensions support the Joomla core updater only from a certain version.

I.e. you may have MyExtension v1 that does NOT support Joomla core update, and MyExtension v2 that does.

In this cases, we are able to check for latest version but your site cannot run the update unless you manually install a more recent version.

3) It is a library or another "special" extension

There are some extensions which are not to be touched lightly.

Usually they are libraries used by some different components, that are usually updated while installing/updating such components (e.g. FOF).

Technically, we could update this extensions for you, but we feel it is better for you do to decide on your own.

Of course feel free to ask us should you need any additional info!


4) Or, maybe you just need to purge the updates cache instead

If you see the "manual update required" message on an extension that should usually be supported, it is possible that the Joomla Core updater is keeping some stale data.

In such cases, you need to enter the backend of your site, go into your Extensions Manager -> "Update" tab, and click on the "Purge cache" button.

After that, validate your site a couple of times and everything should work as expected.

Of course feel free to ask us should you need any additional info!